Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSAudioDetails Class Reference

Audio-related details for a session. More...

`#import <CSAudioDetails.h>`

Inherits NSObject.

## Properties
NSString * | localIPAddress
| The local IP address used for the audio session. More...
NSUInteger | localPort
| The local RTP receive port for the audio session (as per SDP offer/answer exchange). More...
NSString * | remoteIPAddress
| The remote IP address used for the audio session. More...
NSUInteger | remotePort
| The remote RTP receive port for the audio session (as per SDP offer/answer exchange). More...
NSString * | codec
| The name of the audio codec being used. More...
CSMediaEncryptionType | encryptionType
| Media encryption mode for the audio session. More...
BOOL | mediaTunneled
| Status indication for whether Audio is tunneled or not. More...
BOOL | mediaProxied
| Status indication for whether tunneled Audio goes through proxy or not. More...
BOOL | RTCSEncrypted
| RTCP encryption status for the audio session. More...
NSUInteger | DTMFPayloadType
| The dynamic payload type used for telephony events (DTMF tones). More...
NSUInteger | packetizationMilliseconds
| The packetization interval in milliseconds. More...
NSUInteger | roundTripTimeMilliseconds
| The round-trip audio delay (in milliseconds) calculated as per RFC 3550. More...
NSUInteger | numberOfPacketsTransmitted
| The total number of RTP packets transmitted. More...
NSUInteger | numberOfPacketsReceived
| The total number of RTP packets received. More...
NSUInteger | numberOfBytesTransmitted
| The total number of RTP payload bytes transmitted. More...
NSUInteger | numberOfBytesReceived
| The total number of RTP payload bytes received. More...
NSUInteger | localFractionLost
| The fractional loss seen locally. More...
NSUInteger | remoteFractionLost
| The fractional loss seen remotely. More...
NSUInteger | averageLocalJitterMilliseconds
| The average jitter buffer size in milliseconds the local end is experiencing on the received RTP stream. More...
NSUInteger | averageRemoteJitterMilliseconds
| The average jitter buffer size in milliseconds the remote end is experiencing on the transmitted RTP stream. More...
NSUInteger | currentBufferSizeMilliseconds
| The current jitter buffer size in milliseconds. More...
NSUInteger | preferredBufferSizeMilliseconds
| The preferred (optimal) jitter buffer size in milliseconds. More...
NSUInteger | currentPacketLossRate
| The percentage of packets lost (network + late). More...
NSUInteger | currentDiscardRate
| The percentage of packets discarded (late). More...
NSUInteger | currentExpandRate
| Fraction of synthesized speech frames inserted through expansion in total frame count in buffer. More...
NSUInteger | currentPreemptiveRate
| Fraction of synthesized speech frames inserted through pre-emptive expansion in total frame count in buffer. More...
NSUInteger | currentAccelerateRate
| Fraction of data removed through acceleration. More...

## Detailed Description

Audio-related details for a session.

## Property Documentation

- (NSUInteger) averageLocalJitterMilliseconds
| read nonatomic assign

The average jitter buffer size in milliseconds the local end is experiencing on the received RTP stream.

In VoIP, a jitter buffer is a shared data area where voice packets can be collected, stored, and sent to the voice processor in evenly spaced intervals. Variations in packet arrival time, called jitter, can occur because of network congestion, timing drift, or route changes. The jitter buffer, which is located at the receiving end of the voice connection, intentionally delays the arriving packets so that the end user experiences a clear connection with very little sound distortion.

- (NSUInteger) averageRemoteJitterMilliseconds
| read nonatomic assign

The average jitter buffer size in milliseconds the remote end is experiencing on the transmitted RTP stream.

In VoIP, a jitter buffer is a shared data area where voice packets can be collected, stored, and sent to the voice processor in evenly spaced intervals. Variations in packet arrival time, called jitter, can occur because of network congestion, timing drift, or route changes. The jitter buffer, which is located at the receiving end of the voice connection, intentionally delays the arriving packets so that the end user experiences a clear connection with very little sound distortion.

- (NSString*) codec
| read nonatomic assign

The name of the audio codec being used.

- (NSUInteger) currentAccelerateRate
| read nonatomic assign

Fraction of data removed through acceleration.

In case of a full jitter buffer speech frames will be deleted. This process is called "acceleration".

- (NSUInteger) currentBufferSizeMilliseconds
| read nonatomic assign

The current jitter buffer size in milliseconds.

In VoIP, a jitter buffer is a shared data area where voice packets can be collected, stored, and sent to the voice processor in evenly spaced intervals. Variations in packet arrival time, called jitter, can occur because of network congestion, timing drift, or route changes. The jitter buffer, which is located at the receiving end of the voice connection, intentionally delays the arriving packets so that the end user experiences a clear connection with very little sound distortion.

- (NSUInteger) currentDiscardRate
| read nonatomic assign

The percentage of packets discarded (late).

- (NSUInteger) currentExpandRate
| read nonatomic assign

Fraction of synthesized speech frames inserted through expansion in total frame count in buffer.

In case of a starved jitter buffer synthesized speech frames will be added. This process is called "expand".

- (NSUInteger) currentPacketLossRate
| read nonatomic assign

The percentage of packets lost (network + late).

- (NSUInteger) currentPreemptiveRate
| read nonatomic assign

Fraction of synthesized speech frames inserted through pre-emptive expansion in total frame count in buffer.

In case of a shallow jitter buffer synthesized speech frames will be added. This process is called "pre-emptive expand" and based on previous frames.

- (NSUInteger) DTMFPayloadType
| read nonatomic assign

The dynamic payload type used for telephony events (DTMF tones).

- (CSMediaEncryptionType) encryptionType
| read nonatomic assign

Media encryption mode for the audio session.

- (NSUInteger) localFractionLost
| read nonatomic assign

The fractional loss seen locally.

This is 8-bits size value. The fraction of RTP data packets from source lost since the previous SR or RR packet was sent, expressed as a fixed point number with the binary point at the left edge of the field. (That is equivalent to taking the integer part after multiplying the loss fraction by 256.) This fraction is defined to be the number of packets lost divided by the number of packets expected. If the loss is negative due to duplicates, the fraction lost is set to zero.

- (NSString*) localIPAddress
| read nonatomic assign

The local IP address used for the audio session.

- (NSUInteger) localPort
| read nonatomic assign

The local RTP receive port for the audio session (as per SDP offer/answer exchange).

- (BOOL) mediaProxied
| read nonatomic assign

Status indication for whether tunneled Audio goes through proxy or not.

- (BOOL) mediaTunneled
| read nonatomic assign

Status indication for whether Audio is tunneled or not.

- (NSUInteger) numberOfBytesReceived
| read nonatomic assign

The total number of RTP payload bytes received.

- (NSUInteger) numberOfBytesTransmitted
| read nonatomic assign

The total number of RTP payload bytes transmitted.

- (NSUInteger) numberOfPacketsReceived
| read nonatomic assign

The total number of RTP packets received.

- (NSUInteger) numberOfPacketsTransmitted
| read nonatomic assign

The total number of RTP packets transmitted.

- (NSUInteger) packetizationMilliseconds
| read nonatomic assign

The packetization interval in milliseconds.

This represents the time duration of the audio data contained in each packet. It is retrieved from the ptime attribute from the SDP audio codec config.

- (NSUInteger) preferredBufferSizeMilliseconds
| read nonatomic assign

The preferred (optimal) jitter buffer size in milliseconds.

In VoIP, a jitter buffer is a shared data area where voice packets can be collected, stored, and sent to the voice processor in evenly spaced intervals. Variations in packet arrival time, called jitter, can occur because of network congestion, timing drift, or route changes. The jitter buffer, which is located at the receiving end of the voice connection, intentionally delays the arriving packets so that the end user experiences a clear connection with very little sound distortion.

- (NSUInteger) remoteFractionLost
| read nonatomic assign

The fractional loss seen remotely.

This is 8-bits size value. The fraction of RTP data packets from source lost since the previous SR or RR packet was sent, expressed as a fixed point number with the binary point at the left edge of the field. (That is equivalent to taking the integer part after multiplying the loss fraction by 256.) This fraction is defined to be the number of packets lost divided by the number of packets expected. If the loss is negative due to duplicates, the fraction lost is set to zero.

- (NSString*) remoteIPAddress
| read nonatomic assign

The remote IP address used for the audio session.

- (NSUInteger) remotePort
| read nonatomic assign

The remote RTP receive port for the audio session (as per SDP offer/answer exchange).

- (NSUInteger) roundTripTimeMilliseconds
| read nonatomic assign

The round-trip audio delay (in milliseconds) calculated as per RFC 3550.

This is the time required for an RTP packet to go from sender to receiver and back.

- (BOOL) RTCSEncrypted
| read nonatomic assign

RTCP encryption status for the audio session.

True if feedback RTCP packets are encrypted false otherwise. If it is true RTCP packets should be decripted before reading audio stream details.

The documentation for this class was generated from the following file:

- CSAudioDetails.h